<style include="diagnostics-shared diagnostics-fonts">
  #chartName {
    @apply --diagnostics-chart-title-font;
    color: var(--google-grey-700);
    font-family: Roboto;
    font-size: 13px;
    line-height: 20px;
    margin-top: 8px;
  }

  #headerIcon {
    /*
     * TODO(joonbug): Replace w/ real colors, and also extend as a property
     * if dynamic colors.
     */
    --iron-icon-fill-color: rgb(26,115,232);
  }

  paper-progress {
    border-radius: 5px;
    display: inline-block;
    width: 85%;
    --paper-progress-active-color: var(--google-blue-500);
    --paper-progress-container-color: var(--google-blue-100);
    --paper-progress-height: 4px;
  }
</style>

<div id="barChartContainer">
  <div class="body">
    <paper-progress id="barChart"
      value="[[getAdjustedValue_(value, max)]]" max="[[max]]">
    </paper-progress>
  </div>
  <label id="chartName">
    <template is="dom-if" if="[[headerIcon.length]]">
      <iron-icon id="headerIcon" icon="[[headerIcon]]"></iron-icon>
    </template>
    [[header]]
  </label>
</div>
